Bug 70346 - mount-2.11n-12.7.3 compiled with ntfs support
mount-2.11n-12.7.3 compiled with ntfs support
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-07-31 14:37 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-31 14:37:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-31 14:37:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
kernel-2.4.18-5 has no ntfs modules, however mount-2.11n-12.7.3 was compiled
with ntfs support. In consequence, any attempt to autodetect the filesystem type
on a partition/disk fails with the error:
"mount: fs type ntfs not supported by kernel"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create a ext3 filesystem on a disk partition; 
2.mount /dev/partition /mnt/new

Actual Results:  mount: fs type ntfs not supported by kernel

Expected Results:  filesystem type is autodetected as being ext3 and filesystem
is mounted.

Additional info:

The same happens with any filesystem if the type is not specifically mentioned
or fstab field is set to "auto".
Comment 1 Elliot Lee 2002-08-08 12:19:46 EDT
It's likely that the partition in question was previously an NTFS filesystem, because 
otherwise mount wouldn't be trying to mount it as ntfs AFAICS. An open bug in e2fsprogs 
means that the old filesystem's magic may still be there when a new ext[23] filesystem is 
created. If you have the ability to re-mkfs the partition, do 'dd if=/dev/zero of=/dev/partition 
count=1' before mkfs -t ext3. Otherwise, specify the filesystem type explicitly.

Note You need to log in before you can comment on or make changes to this bug.